> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create wallet (external account)

> Asynchronous operation. The external account may not be available in the external accounts list immediately after the response.



## OpenAPI

````yaml post /wallets
openapi: 3.1.0
info:
  title: Crypto Transfer API
  description: Crypto Transfer API
  version: 1.0.0
servers:
  - url: https://api.sandbox1-dev.finhost.io/crypto-transfer
  - url: https://api.sandbox1-stage.finhost.io/crypto-transfer
security: []
tags:
  - name: default
  - name: wallets
  - name: payouts
paths:
  /wallets:
    post:
      tags:
        - wallets
      summary: Create wallet (external account)
      description: >-
        Asynchronous operation. The external account may not be available in the
        external accounts list immediately after the response.
      parameters:
        - description: Company ID
          name: companyId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - accountId
                - network
              properties:
                accountId:
                  description: Account ID
                  type: string
                  format: uuid
                network:
                  description: Network
                  type: string
                  pattern: ^[a-z0-9]{1,16}$
                  examples:
                    - ethereum
                    - bitcoin
                    - tron
                    - arbitrum
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - extAccount
                properties:
                  extAccount:
                    type: object
                    additionalProperties: false
                    required:
                      - id
                    properties:
                      id:
                        description: External Account ID
                        type: string
                        format: uuid
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````